Subject: Re: [PATCH 0/9] Split up "object-file.c"

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Apr 2025 16:29:38 -0700

Patrick Steinhardt <[email-masked]> writes:

> The series is built on top of 9d22ac51228 (The third batch, 2025-04-07)
> with ps/object-wo-the-repository at 9442b1c919a (Merge remote-tracking
> branch 'junio/ps/object-wo-the-repository' into HEAD, 2025-04-08) merged
> into it.

As 9442b1c919a is not public, this description lacks a way to verify
the result I attempted to reproduce.  ps/object-wo-the-repository I
have ends with 7d70b29c (hash: stop depending on `the_repository` in
`null_oid()`, 2025-03-10) and it hasn't moved for a while, so
hopefully we are in agreement ;-)

There were a few unpleasant interactions with other topics in
flight; please check the conflict resolution I made.

Will queue.